weka.core.stopwords

## Class AbstractFileBasedStopwords

- java.lang.Object
- - weka.core.stopwords.AbstractStopwords
  - - weka.core.stopwords.AbstractFileBasedStopwords

- All Implemented Interfaces:
    java.io.Serializable, OptionHandler, StopwordsHandler
  Direct Known Subclasses:
    RegExpFromFile, WordsFromFile

      public abstract class AbstractFileBasedStopwords
      extends AbstractStopwords

  Ancestor for file-based stopword schemes.
  Version:
    $Revision: 10982 $
  Author:
    fracpete (fracpete at waikato dot ac dot nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFileBasedStopwords()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getOptions()` Gets the current settings of the Classifier.
    `java.io.File` | `getStopwords()` returns the file used for obtaining the stopwords, if the file represents a directory then the default ones are used.
    `java.util.Enumeration<Option>` | `listOptions()` Returns an enumeration describing the available options.
    `void` | `setOptions(java.lang.String[] options)` Parses a given list of options.
    `void` | `setStopwords(java.io.File value)` Sets the file containing the stopwords, null or a directory unset the stopwords.
    `abstract java.lang.String` | `stopwordsTipText()` Returns the tip text for this property.

    - ### Methods inherited from class weka.core.stopwords.AbstractStopwords

      `debugTipText, getDebug, globalInfo, isStopword, setDebug`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractFileBasedStopwords

          public AbstractFileBasedStopwords()

  - ### Method Detail

    - #### listOptions

          public java.util.Enumeration<Option> listOptions()

      Returns an enumeration describing the available options.
      Specified by:
        `listOptions` in interface `OptionHandler`
      Overrides:
        `listOptions` in class `AbstractStopwords`
      Returns:
        an enumeration of all the available options.

    - #### setOptions

          public void setOptions(java.lang.String[] options)
                          throws java.lang.Exception

      Parses a given list of options.
      Specified by:
        `setOptions` in interface `OptionHandler`
      Overrides:
        `setOptions` in class `AbstractStopwords`
      Parameters:
        `options` - the list of options as an array of strings
      Throws:
        `java.lang.Exception` - if an option is not supported

    - #### getOptions

          public java.lang.String[] getOptions()

      Gets the current settings of the Classifier.
      Specified by:
        `getOptions` in interface `OptionHandler`
      Overrides:
        `getOptions` in class `AbstractStopwords`
      Returns:
        an array of strings suitable for passing to setOptions

    - #### setStopwords

          public void setStopwords(java.io.File value)

      Sets the file containing the stopwords, null or a directory unset the stopwords.
      Parameters:
        `value` - the file containing the stopwords

    - #### getStopwords

          public java.io.File getStopwords()

      returns the file used for obtaining the stopwords, if the file represents a directory then the default ones are used.
      Returns:
        the file containing the stopwords

    - #### stopwordsTipText

          public abstract java.lang.String stopwordsTipText()

      Returns the tip text for this property.
      Returns:
        tip text for this property suitable for displaying in the explorer/experimenter gui